跳转到内容

Avatars Audio to Video

集成

模型 id argil/avatars/audio-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.20 200 API 积分 · ≈ ₽21.49 运行前会测量你的文件 在此页面运行

获取 API 密钥
Argil · 视频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 audio_url
拖放文件,或
•必填
POST /run/argil/avatars/audio-to-video?wait=20 报价 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Avatars Audio to Video

按名称选择预设头像(UGC 和 Masterclass 风格),并提供 `audio_url`。头像会进行动画处理以朗读该录音。将 `remove_background` 设为 true 可移除背景。响应包含视频以及 flagged 状态和转录文本等审核字段。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
avatar必填
类型enum
Mia outdoor (UGC)Lara (Masterclass)Ines (UGC)Maria (Masterclass)Emma (UGC)Sienna (Masterclass)Elena (UGC)Jasmine (Masterclass)Amara (Masterclass)Ryan podcast (UGC)Tyler (Masterclass)Jayse (Masterclass)Paul (Masterclass)Matteo (UGC)Daniel car (UGC)Dario (Masterclass)
另有 12 个Viva (Masterclass)Chen (Masterclass)Alex (Masterclass)Vanessa (UGC)Laurent (UGC)Noemie car (UGC)Brandon (UGC)Byron (Masterclass)Calista (Masterclass)Milo (Masterclass)Fabien (Masterclass)Rose (UGC)
audio_url必填 audio
类型url · audio
remove_background可选
类型boolean
默认值false
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "argil/avatars/audio-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "avatar": "Mia outdoor (UGC)",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "moderation_flagged": false,
    "moderation_transcription": "string",
    "moderation_error": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size} | null
moderation_flagged
boolean
moderation_transcription
string | null
moderation_error
string | null

更多模型:口型同步与数字人

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/argil/avatars/audio-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt